/*
 * Peony-Qt's Library
 *
 * Copyright (C) 2023, KylinSoft Co., Ltd.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this library.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

#ifndef PATHBAR_H
#define PATHBAR_H
#include <QLineEdit>
#include <QResizeEvent>
#include <peony-qt/controls/navigation-bar/advanced-location-bar.h>

class FileDialogPathBar : public QWidget//public QLineEdit//
{
    Q_OBJECT
public:
    explicit FileDialogPathBar(QWidget *parent = nullptr);
    void resizeEvent(QResizeEvent *e);
    Peony::AdvancedLocationBar *getPathBar();

Q_SIGNALS:
    void goToUriRequest(const QString &uri, bool addToHistory = true);
    void updateWindowLocationRequest(const QString &uri, bool addHistory, bool forceUpdate = false);
    void refreshRequest();
    void searchRequest(const QString &path, const QString &key);

public Q_SLOTS:
    void updatePath(const QString &uri);
private:
    Peony::AdvancedLocationBar *m_pathBar = nullptr;
};
#endif // PATHBAR_H
